Vla-adddimradial

提供: GizmoLabs
移動先: 案内検索
構文
(vla-adddimradial vla-object ChordPoint LeaderLength )


機能
指定された位置に、選択されたオブジェクトの半径寸法を作成する。


引数
  • vla-object … VLAオブジェクト(Block、ModelSpace、PaperSpace)
  • ChordPoint … 円または円弧上の引出線をアタッチする点を指定する 3D WCS 座標。
  • LeaderLength… ChordPoint から注釈文字または参照線(ドッグレグ)までの長さを示す正の値。


戻り値
新しく作成される半径寸法の VLA オブジェクト


Memo
  • さまざまな種類の直径寸法が、次の値を基に記入される。
  • 円または円弧のサイズ
  • TextPosition プロパティ
  • 以下の CAD のシステム変数の値
  • DIMUPT[寸法値位置指定]
  • DIMTOFL[寸法線内側記入]
  • DIMFIT[寸法値フィット]
  • DIMTIH[補助線内水平]
  • DIMTOH[補助線外水平]
  • DIMJUST[寸法値水平位置]
  • DIMTAD[寸法線上記入]
  • 寸法線の角度が水平より 15 度を超えている場合、および寸法線が円または円弧の外側にある場合には、寸法値を水平に表示するため、ランディングまたはドッグレッグと呼ばれるフックラインが描かれる。フックラインは矢印 1 個分の長さを持ち、寸法値の隣りに配置される。
  • このメソッドでは、ChordPoint から注釈文字への水平参照線(ドッグレグ)まで(参照線が不要な場合は寸法線の端まで)の距離を長さとして使用する。
  • LeaderLength の設定は寸法作成時のみ(しかも、その寸法が、既定の文字位置を使用するように設定されている場合のみ)使用される。いったん寸法を閉じた後は、LeaderLength の値を変更しても寸法の表示方法は変わらないが、新しい設定は保存されて、DXF、LISP、ARX に反映される。
サンプル
(vl-load-com)
(defun c:Example_AddDimRadial()
    ;; モデル空間に半径寸法を作成するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; 寸法を定義
    (setq center (vlax-3d-point 0 0 0)
          chordPoint (vlax-3d-point 5 5 0)
          leaderLen 5)
    
    ;; モデル空間に半径寸法を作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimRadial modelSpace center chordPoint leaderLen))
    (vla-ZoomAll acadObj)
)

関連事項